#ifndef __EGLDEFS_H
#define __EGLDEFS_H

/****************************************************************************\
* $Id: EGL_DEFS.H 1.2 1997-11-21 20:54:54+03 yole Exp $
*  *
* File 'egl_defs.h' - General preferances for EGL project                    *
* Last modifyed     - 23:11:43, 20.09.97                                     *
*                                                                            *
* Written by EXeLENZ (55:1055/2@general, 2:5030/448.1@fidonet)               *
* Changes and additions by Yoletir / FaerieFire, 2:5030/654
*  *
\****************************************************************************/

/*
 * $Log: /C/ElSocc/EGL_DD/EGL_Defs.h $
 * 
 * 1     26.12.98 0:48 Yole
 * Quick & dirty port of EGL under DirectDraw
 * Revision 1.2  1997-11-21 20:54:54+03  yole
 * some changes?
 *
 * Revision 1.1  1997-11-19 14:41:05+03  yole
 * Initial revision
 */

#define x_OK 1
#define x_ERROR 0

#define EGLyes 1
#define EGLno  0

#define EGLok    1
#define EGLerror 0

#define TRUE 1
#define FALSE 0

#define EGLtop    1
#define EGLbottom 2
#define EGLleft   4
#define EGLright  8
#define EGLcenter 16

#define ErrAlloc 0
#define ErrMusax 1
#define ErrRes   2

#define FEED     0
#define FEEDSP   1
#define NOFEED   2
#define NOFEEDSP 3

#define Mul640(x) ((x<<9)+(x<<7))
#define maximum(a,b) (a>b?a:b)

typedef unsigned short ushort;
typedef unsigned long  ulong;
typedef unsigned int   uint;
typedef unsigned char  uchar;

#endif