#include "stdlib.h"
#include "stdio.h"

void main (int argc, char * argv []) {

   FILE * in;
   FILE * out;
   char x =0 ;
   int  k;

   if (argc < 3) {
      puts ("\nUsage: mix.exe <input file> <output file>\n");
      exit (1);
   }

   if ((in = fopen (argv[1],"rb")) == NULL) {
      puts ("\nUnable to open input file.\n");
      exit (2);
   }

   if ((out = fopen (argv[2],"wb")) == NULL) {
      puts ("\nUnable to open output file.\n");
      exit (3);
   }

   k = getc (in);
   do {
      k += 3;
      k ^= x;
      k -= x;
      putc (k, out);
      k = getc (in);
      x +=3;
   } while (k != EOF);


   fclose (in);
   fclose (out);

   return;
}